<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:fitsSystemWindows="true"
    tools:context=".ui.activity.ChatDetailActivity">

    <com.kaixed.kchat.ui.widget.CustomTitleBar
        android:id="@+id/ctb"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent"
        app:titleName="聊天信息" />

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="150dp"
        android:scaleType="centerCrop"
        android:src="@drawable/bac_contacts_detail"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />


    <androidx.constraintlayout.utils.widget.ImageFilterView
        android:id="@+id/ifv_avatar"
        android:layout_width="55dp"
        android:layout_height="55dp"
        android:layout_marginStart="15dp"
        android:layout_marginTop="15dp"
        android:src="@drawable/ic_avatar"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/ctb"
        app:round="8dp" />

    <TextView
        android:id="@+id/tv_contact_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="5dp"
        android:text="kaixed"
        app:layout_constraintEnd_toEndOf="@id/ifv_avatar"
        app:layout_constraintStart_toStartOf="@id/ifv_avatar"
        app:layout_constraintTop_toBottomOf="@id/ifv_avatar" />


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="5dp"
        android:orientation="vertical"
        app:layout_constraintTop_toBottomOf="@id/tv_contact_name">

        <View
            android:layout_width="match_parent"
            android:layout_height="8dp"
            android:background="#E5E5E5" />


        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:paddingStart="15dp">


            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:text="查找聊天记录"
                android:textColor="@color/black"
                android:textSize="16sp" />

            <ImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginEnd="15dp"
                android:src="@drawable/icon_arrow_right" />
        </RelativeLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="8dp"
            android:background="#E5E5E5" />


        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:paddingStart="15dp"
            tools:ignore="RtlSymmetry">


            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:text="消息免打扰"
                android:textColor="@color/black"
                android:textSize="16sp" />

            <ImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginEnd="15dp"
                android:src="@drawable/icon_arrow_right" />


        </RelativeLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginStart="15dp"
            android:background="#E5E5E5" />


        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:paddingStart="15dp"
            tools:ignore="RtlSymmetry">


            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:text="置顶聊天"
                android:textColor="@color/black"
                android:textSize="16sp" />

            <ImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginEnd="15dp"
                android:src="@drawable/icon_arrow_right" />


        </RelativeLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginStart="15dp"
            android:background="#E5E5E5" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:paddingStart="15dp"
            tools:ignore="RtlSymmetry">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:text="提醒"
                android:textColor="@color/black"
                android:textSize="16sp" />

            <ImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginEnd="15dp"
                android:src="@drawable/icon_arrow_right" />
        </RelativeLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="8dp"
            android:background="#E5E5E5" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:paddingStart="15dp"
            tools:ignore="RtlSymmetry">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:text="设置当前聊天背景"
                android:textColor="@color/black"
                android:textSize="16sp" />

            <ImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginEnd="15dp"
                android:src="@drawable/icon_arrow_right" />
        </RelativeLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="8dp"
            android:background="#E5E5E5" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:paddingStart="15dp"
            tools:ignore="RtlSymmetry">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:text="清空聊天记录"
                android:textColor="@color/black"
                android:textSize="16sp" />

            <ImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginEnd="15dp"
                android:src="@drawable/icon_arrow_right" />
        </RelativeLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="8dp"
            android:background="#E5E5E5" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:paddingStart="15dp"
            tools:ignore="RtlSymmetry">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:text="投诉"
                android:textColor="@color/black"
                android:textSize="16sp" />

            <ImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:layout_alignParentEnd="true"
                android:layout_centerVertical="true"
                android:layout_marginEnd="15dp"
                android:src="@drawable/icon_arrow_right" />
        </RelativeLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="#E5E5E5" />

    </LinearLayout>


</androidx.constraintlayout.widget.ConstraintLayout>